"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _errors = require("./errors");

/**
 * Base Utilities Class
 */
var OpenSeaSDK = /*#__PURE__*/function () {
  /**
   * @typedef { "rinkeby" | "mainnet" } network
   */

  /**
   *
   * @param {network} network
   */
  function OpenSeaSDK() {
    var network = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "mainnet";
    (0, _classCallCheck2["default"])(this, OpenSeaSDK);
    this.network = network;
  }
  /**
   * @typedef { "ERC1155" | "ERC721" } type
   */

  /**
   *
   * @param {Object} openSeaOptions
   * @param {type} type
   * @returns {Promise<{data: string}>}
   */


  (0, _createClass2["default"])(OpenSeaSDK, [{
    key: "mintNFT",
    value: function () {
      var _mintNFT = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(openSeaOptions, type) {
        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                return _context.abrupt("return", {
                  data: "Minted!"
                });

              case 1:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      function mintNFT(_x, _x2) {
        return _mintNFT.apply(this, arguments);
      }

      return mintNFT;
    }()
  }]);
  return OpenSeaSDK;
}();

var _default = OpenSeaSDK;
exports["default"] = _default;